pkgname=meterplot
pkgdesc="Show your energy consumption"
pkgver=0.3.0
pkgrel=1
arch=('x86_64')
url="https://github.com/nschloe/${pkgname}"
license=(GPL3)
depends=(python-matplotlib python-yaml)
makedepends=(python-setuptools python-pip)
# checkdepends=(python-pytest)
provides=('meterplot')
source=(https://pypi.org/packages/source/${pkgname::1}/${pkgname}/${pkgname}-${pkgver}.tar.gz)
sha512sums=('590c04049a6a135bad371eaeb029085642d1bb94c0c0be05c6a9f13a1e862f305374dd9af3679006dd83d05a8d63e8ebc8a73eddbd1eb703a2cdc3e282bcd156')

build() {
  cd "${pkgname}-${pkgver}"
  python -c "from setuptools import setup; setup();" build
}

# check() {
#   cd "${pkgname}-${pkgver}"
#   python -c "from setuptools import setup; setup();" install --root="${PWD}/tmp_install" --optimize=1 --skip-build
#   PYTHONPATH="${PWD}/tmp_install$(python -c "import site; print(site.getsitepackages()[0])"):${PYTHONPATH}" python -m pytest
# }

package() {
  cd "${pkgname}-${pkgver}"
  export PYTHONHASHSEED=0
  PYTHONPYCACHEPREFIX="${PWD}/.cache/cpython/" python -c "from setuptools import setup; setup();" install --prefix=/usr --root="${pkgdir}" --optimize=1 --skip-build
  # install -Dm 644 LICENSE -t "${pkgdir}/usr/share/licenses/${pkgname}"
}
